OpenVDB: EnrightField< ScalarT > Class Template Reference

OpenVDB 7.1.0

Public Types | Public Member Functions | List of all members
EnrightField< ScalarT > Class Template Reference

Analytical, divergence-free and periodic velocity field. More...

`#include <VelocityFields.h>`

## Public Types
typedef ScalarT | ValueType
typedef math::Vec3< ScalarT > | VectorType

## Public Member Functions
| EnrightField ()
math::Transform | transform () const
VectorType | operator() (const Vec3d &xyz, ValueType time) const
VectorType | operator() (const Coord &ijk, ValueType time) const

## Detailed Description

### template<typename ScalarT = float>
class openvdb::v7_1::tools::EnrightField< ScalarT >

Analytical, divergence-free and periodic velocity field.

Note
  Primarily intended for debugging!

Warning
  This analytical velocity only produce meaningful values in the unit box in world space. In other words make sure any level set surface is fully enclosed in the axis aligned bounding box spanning 0->1 in world units.

## Member Typedef Documentation

## ◆ ValueType

typedef ScalarT ValueType

## ◆ VectorType

typedef math::Vec3<ScalarT> VectorType

## Constructor & Destructor Documentation

## ◆ EnrightField()

EnrightField | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator()() [1/2]

VectorType operator() | ( | const Coord & | ijk,
|  | ValueType | time
| ) |  | const
| inline

Returns
  the velocity at the coordinate space position ijk

## ◆ operator()() [2/2]

math::Vec3< ScalarT > operator() | ( | const Vec3d & | xyz,
|  | ValueType | time
| ) |  | const
| inline

Returns
  the velocity in world units, evaluated at the world position xyz and at the specified time

## ◆ transform()

math::Transform transform | ( |  | ) | const
| inline

Returns
  const reference to the identity transform between world and index space

Note
  Use this method to determine if a client grid is aligned with the coordinate space of this velocity field

The documentation for this class was generated from the following file:

- VelocityFields.h